<!--
Copyright (c) 2016 Surekha Technologies.

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>.
-->

<%@ page import="com.st.emp.model.Employee" %>
<%@ page import="com.st.emp.service.EmployeeLocalServiceUtil" %>

<%@ include file="/init.jsp" %>

<portlet:actionURL name="editEmployee" var="actionEditUrl" />
Edit

${employeeId}

<%
String empId = request.getParameter("employeeId");
Employee employee = EmployeeLocalServiceUtil.getEmployee(Long.parseLong(empId));
%>

<form action="${actionEditUrl}" method="post">
	<input name="<portlet:namespace/>employeeId" type="hidden" value="<%= employee.getEmpId() %>"> <br>

	First Name : <input type="text" name="<portlet:namespace/>firstName" value="<%= employee.getFirstName() %>"><br>

	Last Name : <input type="text" name="<portlet:namespace/>lastName" value="<%= employee.getLastName() %>"><br>

	Department : <input type="text" name="<portlet:namespace/>department" value="<%= employee.getDepartment() %>"><br>

	Experience : <input type="text" name="<portlet:namespace/>experience" value="<%= String.valueOf(employee.getExperience()) %>"><br>

	<input name="submit" type="submit">
</form>