
<%@ page import="com.liferay.portal.kernel.dao.orm.QueryUtil" %>

<%@ page import="com.st.emp.model.Employee" %>
<%@ page import="com.st.emp.service.EmployeeLocalServiceUtil" %>

<%@ include file="/init.jsp" %>

<portlet:renderURL var="addEmployee">
	<portlet:param name="mvcPath" value="/addEmployee.jsp" />
</portlet:renderURL>

<a href="${addEmployee}" /> Add Employee </a>

<liferay-ui:search-container delta="2" deltaConfigurable="true">
<liferay-ui:search-container-results results="<%= EmployeeLocalServiceUtil.getEmployees(QueryUtil.ALL_POS, QueryUtil.ALL_POS) %>" />
<liferay-ui:search-container-row className="com.st.emp.model.Employee" keyProperty="studentId" modelVar="employee">
	<liferay-ui:search-container-column-text name="Employee Id" property="empId" />
	<liferay-ui:search-container-column-text name="First Name" property="firstName" />
	<liferay-ui:search-container-column-text name="Last Name" property="lastName" />
	<liferay-ui:search-container-column-text name="Experience" property="experience" />
	<liferay-ui:search-container-column-text name="Department" property="department" />

		</liferay-ui:search-container-row>

		<liferay-ui:search-iterator />
</liferay-ui:search-container>