<!--
Copyright (c) 2016 Surekha Technologies.

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>.
-->

<%@ page import="com.liferay.portal.kernel.dao.search.ResultRow" %>
<%@ page import="com.liferay.portal.kernel.util.WebKeys" %>

<%@ page import="com.st.emp.model.Employee" %>
<%@ page import="com.st.emp.service.EmployeeLocalServiceUtil" %>

<%@ include file="/init.jsp" %>

<% ResultRow row = (ResultRow)request.getAttribute(WebKeys.SEARCH_CONTAINER_RESULT_ROW);

	Employee employee = (Employee) row.getObject();
%>

<portlet:renderURL var="editlURL">
	<portlet:param name="mvcPath" value="/editRecord.jsp" />
</portlet:renderURL>

<portlet:actionURL name="actionDelete" var="deleteRecord">
	<portlet:param name="employeeId" value="<%= String.valueOf(employee.getEmpId()) %>" />
</portlet:actionURL>

<portlet:renderURL var="editEmployee">
	<portlet:param name="mvcPath" value="/delete.jsp" />
</portlet:renderURL>

<liferay-ui:icon-menu>
	<liferay-ui:icon image="edit" message="Edit" url="<%= editlURL.toString() %>" />
	<liferay-ui:icon image="delete" message="Delete" url="${deleteRecord}" />
</liferay-ui:icon-menu>