<!--
Copyright (c) 2016 Surekha Technologies.

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>.
-->

<%@ page import="com.liferay.portal.kernel.dao.orm.QueryUtil" %>

<%@ page import="com.st.emp.model.Employee" %>
<%@ page import="com.st.emp.service.EmployeeLocalServiceUtil" %>

<%@ include file="/init.jsp" %>

<liferay-ui:search-container delta="2" deltaConfigurable="true">
	<liferay-ui:search-container-results results="<%= EmployeeLocalServiceUtil.getEmployees(QueryUtil.ALL_POS, QueryUtil.ALL_POS) %>" />
	<liferay-ui:search-container-row className="com.st.emp.model.Employee" keyProperty="studentId" modelVar="employee">
		<liferay-ui:search-container-column-text name="Employee Id" property="empId" />
		<liferay-ui:search-container-column-text name="First Name" property="firstName" />
		<liferay-ui:search-container-column-text name="Last Name" property="lastName" />
		<liferay-ui:search-container-column-text name="Experience" property="experience" />
		<liferay-ui:search-container-column-text name="Department" property="department" />
	</liferay-ui:search-container-row>

	<liferay-ui:search-iterator />
</liferay-ui:search-container>